org.apache.cassandra.exceptions

## Class PreparedQueryNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestValidationException
          - - org.apache.cassandra.exceptions.PreparedQueryNotFoundException

- All Implemented Interfaces:
    java.io.Serializable, TransportException

      public class PreparedQueryNotFoundException
      extends RequestValidationException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MD5Digest` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreparedQueryNotFoundException(MD5Digest id)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Field Detail

    - #### id

          public final MD5Digest id

  - ### Constructor Detail

    - #### PreparedQueryNotFoundException

          public PreparedQueryNotFoundException(MD5Digest id)

Copyright © 2018 The Apache Software Foundation